% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-24: Timed Petri net model of an FMS
% Reggie.Davidrajuh@uis.no (c) 12 April 2023  
% File: Main Simulation File (msf.m)


% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017

clear all; clc;

global global_info
global_info.STOP_AT = 100;

pns = pnstruct('fms_timedPN_pdf');

dp.m0 = {'pIB1',1,'pIB2',1, 'pC1',1,'pC2',1,...
         'pR1',1,'pR2',1,'pR3',1,'pR4',1, 'pM1',1,'pM2',1};
dp.ft = {'tM1',20,'tM2',35,'tAS',8,'tPS',13, 'allothers',2}; 
pni = initialdynamics(pns, dp);

sim = gpensim(pni);
plotp(sim, {'pOB'});

