% Example-24: Timed Petri net model of a Flexible Manufacturing System
% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017
% file: fms_timedPN_pdf.m: PDF 

function [png] = fms_timedPN_pdf() 

png.PN_name  = 'Timed Petri net model of a FMS';

png.set_of_Ps = {...
    'pIB1','pIB2', 'pOB',...  % the input and output buffers
    'poC1','poC2', 'piM1','piM2', 'poM1', 'poM2', ... % intermediate buffers
    'pAS1','pAS2','poAS', 'piPS',... % intermediate buffers
    'pC1','pC2', 'pR1','pR2','pR3','pR4', 'pM1','pM2'... % the resources
                };

png.set_of_Ts = {...
    'tC1','tC2', 'tC1M1','tC2M2', 'tM1','tM2', 'tM1AS','tM2AS',...
    'tAS', 'tAP', 'tPS'...
    }; 

png.set_of_As = {...
    'pIB1','tC1',1, 'pC1','tC1',1, 'tC1','poC1',1, ...  % tC1
    'poC1','tC1M1',1, 'pR1','tC1M1',1, ... % tC1M1 inputs 
    'tC1M1','piM1',1, 'tC1M1','pC1',1, 'tC1M1','pR1',1, ... % tC1M1 outputs
    'piM1','tM1',1, 'pM1','tM1',1, 'tM1','pM1',1, 'tM1','poM1',1,... % tM1
    'poM1','tM1AS',1, 'pR1','tM1AS',1, ... % tM1AS inputs 
    'tM1AS','pAS1',1, 'tM1AS','pR1',1, ... % tM1AS outputs 
    ...
    'pIB2','tC2',1, 'pC2','tC2',1, 'tC2','poC2',1, ...  % tC2
    'poC2','tC2M2',1, 'pR2','tC2M2',1, ... % tC2M2 inputs 
    'tC2M2','piM2',1, 'tC2M2','pC2',1, 'tC2M2','pR2',1, ... % tC1M1 outputs
    'piM2','tM2',1, 'pM2','tM2',1, 'tM2','pM2',1, 'tM2','poM2',1,... % tM2
    'poM2','tM2AS',1, 'pR2','tM2AS',1, ... % tM2AS inputs 
    'tM2AS','pAS2',1, 'tM1AS','pR2',1, ... % tM2AS outputs 
    ...
    'pAS1','tAS',1,'pAS2','tAS',1,'pR2','tAS',1,... % tAS inputs    
    'tAS','poAS',1,'tAS','pR2',1, ... % tAS outputs
    'poAS','tAP',1,'pR3','tAP',1, 'tAP','piPS',1,... % tAP
    'piPS','tPS',1,'pR4','tPS',1,... % tPS inputs
    'tPS','pR3',1,'tPS','pR4',1,'tPS','pOB',1 ... % tPS
                };
